TAAS - Feature #62

Commission Agent
09/22/2022 11:46 AM - Anil KV

Status: Reopen Bugs Coding Done Start date: 10/10/2022
Priority: Normal Due date: 10/13/2022
Assignee: Greeshma S % Done: 70%
Category: Estimated time: 32:00 hours
Target version: 22.12 Spent time: 0:00 hour
Owner(Agency): Travvise Tested By: unnikannan S
Time Taken(HH): 75.00 Code Reviewed By:

Module: Commission Agent

Description

Coding Commission Agent

History

#1 - 09/27/2022 11:11 AM - Anil KV
Deletetion SP

sp_delete_account(binAccountld::BIGINT, intSysActionl::INT, binDeletedUserld::BIGINT, objSpOutRes);

#2 - 09/27/2022 07:23 PM - Anil KV
Ref: Customer #60

#3 - 09/28/2022 05:14 PM - Anil KV
- File 1-CsModel.cs added

- File 2-tsModel.ts added

- File 3-CsFile.cs added

- File 4-CsControllerFile.cs added

- File 5-TsFile.ts added

- File 6-HtmliFile.html added

- File sql.sql added

#4 - 10/06/2022 09:56 AM - Anand V Gopal
- Status changed from New to Coding Started
- % Done changed from 0 to 40

#5 - 10/07/2022 01:28 PM - Anil KV

accounts.tbl_account->sin_ac_category = 21

#6 - 10/27/2022 02:42 PM - Anand V Gopal

- Status changed from Coding Started to Patrticialy Coding Done
- % Done changed from 40 to 30

- Time Taken(HH) set to 75.00

Commission agent coding partially done. Payment terms, Payment mode and rounding rule in system tab not implemented.

#7 - 11/29/2022 10:14 AM - Anand V Gopal
- Status changed from Particialy Coding Done to Coding Done
- % Done changed from 40 to 60

#8 - 11/29/2022 01:37 PM - Amal Cyriac
http://103.145.37.7:82/redmine/issues/60

- Status changed from Coding Done to Reopen Bugs
- % Done changed from 60 to 50
- Tested By set to Amal Cyriac

ISSUE FOUND *****

1.SET DEFAULT CURRENCY MANDATORY

2.EXPIRY DATE NOT TO BE PREVIOUS DATE

3.CONTRACT -> FILTER BUTTON BUGS

(ADD FUNCTION WORKING WHILE CLICK ON HEADER FILTER)
4.MULTISELECTION BOX NOT WORKING

#9 - 11/30/2022 12:36 PM - Anand V Gopal
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#10 - 11/30/2022 03:20 PM - Amal Cyriac
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUND *****
1.EXPIRY DATE NOT TO BE PREVIOUS DATE

2.POP-UP RELATED ALERTS & MESSAGE MUST BE ALIGNED WITH POP-UP WINDOW

(CONTRACT --> ADD FUNCTION)

#11 - 12/01/2022 10:58 AM - Anand V Gopal
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 60

#12 - 12/03/2022 11:00 AM - Amal Cyriac
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUND *****

1.ALOW DUPLICATION ON NAME

2.DONT ALLOW DUPLICATION ON UNIQUE VALUES

( DONT ALLOW MORE THAN ONE CONTRACT ON SAME NAME)

3.SET SAME ALIGNMENT IN VARIOUS DIV
(SERVICE)

4.SET VALIDATION ON CREDIT LIMIT & GRACE PERIOD
5.RESIZE GRID COLUMNS

6.SHOW PROPER MESSAGES & ALERTS

(REMOVE UNWANTED SIGNS,SPECIAL CHARACTERS)

#13 - 12/05/2022 02:51 PM - Anand V Gopal
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 60

#14 - 12/05/2022 05:12 PM - Amal Cyriac
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUND *****

1.SET 'BRANCH WIDGET' RED AND REQUIRED
2.CUSTOMER --> FIX PAYMENT TERMS BUGS
(not responding while update)

3.FIX ERRORS ON REGION
(while choosing region showing error alert)

4.SET VALIDATION ON DATE PICKER
#15 - 03/16/2023 06:15 PM - Anand V Gopal
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#16 - 04/05/2023 04:44 PM - Amal Cyriac
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUND *****
1.Set mandatory fields red & required
(Act as client - set red star on customer tab)

#17 - 04/10/2023 05:34 PM - Anand V Gopal
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#18 - 05/09/2023 03:53 PM - Amal Cyriac
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUND *****

1.In Currency Multi Selection Box widget Tick "BASE1 (QAR)" Then Select "BASE1 (QAR)" as default currency

#19 - 05/12/2023 06:11 PM - Anand V Gopal
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#20 - 06/12/2023 06:30 PM - Amal Cyriac
- Status changed from Reopen Bugs Coding Done to Reopen Bugs

- % Done changed from 60 to 50

ISSUE FOUND *****

1.Set mandatory fields red and required
(Set red star on Status)

2.Set tool tips on GUI - Date Picker
3.Fix bugs on GUI while switching tabs
(Set similar height for all tabs)

4.Use proper labels on Receipt Mode multi selection box
(Act as Client)

5.Set precision on Credit limit

6.Fix bugs on ZIP code - Translation
(Arabic & Hindi)

#21 - 06/21/2023 06:12 PM - Anand V Gopal
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#22 - 06/22/2023 05:31 PM - Amal Cyriac
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUND *****
1.Connect module with Set Main Ledger GUI

#23 - 07/10/2023 06:07 PM - Anand V Gopal
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#24 - 07/11/2023 06:19 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

- Tested By changed from Amal Cyriac to unnikannan S

ISSUE FOUNDED
1.REMOVE TWO BLANK OPTIONS FROM SALUTATION

2.SELECTING ALL WHILE CHOOSING ONE
3.UlI CRASHING WHILE CHOOSING Blank OPTION

#25 - 07/31/2023 07:41 PM - Anand V Gopal
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 60

#26 - 09/05/2023 04:25 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50
ISSUE FOUNDED
1.DATE GOING BACK WHILE ADDING CONTRACT
#27 - 09/18/2023 11:14 AM - unnikannan S
unnikannan S wrote in #note-26:
ISSUE FOUNDED

1.DATE GOING BACK WHILE ADDING CONTRACT
2.UlI OVER LAPPING WHILE ADDING ACT US CLIENT AND ADD NEW

#28 - 10/07/2023 05:15 PM - Junaid M

- Assignee changed from Anand V Gopal to Abhiram Venu

#29 - 10/13/2023 05:10 PM - Seema Mathew

- Tested By changed from unnikannan S to Seema Mathew

ISSUE FOUNDED -

1.SAVING ERROR (CANNOT READ PROPERTIES OF NULL. READING GET FULL YEAR)

#30 - 10/16/2023 04:51 PM - Abhiram Venu
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

Saving Error Solved
Ready To Test.

#31 - 10/17/2023 05:41 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

- Tested By changed from Seema Mathew to unnikannan S

ISSUE FOUNDED

1.UI OVER LAPPING WHILE CHANGING ACCOUNTS
2.CONTACT DATE LIST GOING TO PAST DATE

#32 - 10/30/2023 12:14 PM - unnikannan S

unnikannan S wrote in #note-31:
ISSUE FOUNDED
1.UI OVER LAPPING WHILE CHANGING ACCOUNTS

2.CONTACT DATE LIST GOING TO PAST DATE
3.SHOWING GROUPING DETAILS OF CUSTOMER

#33 - 11/01/2023 04:24 PM - Seema Mathew

unnikannan S wrote in #note-32:
unnikannan S wrote in #note-31:
ISSUE FOUNDED
1.Ul OVER LAPPING WHILE CHANGING ACCOUNTS

2.CONTACT DATE LIST GOING TO PAST DATE
3.SHOWING GROUPING DETAILS OF CUSTOMER

4.ADD CHANGE APPROVED BY: TO > BY:

#34 - 11/10/2023 10:25 AM - Junaid M

- Assignee changed from Abhiram Venu to Shahil Haris

#35 - 11/14/2023 11:49 AM - Shahil Haris
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#36 - 11/14/2023 12:03 PM - unnikannan S
TESTING DONE

#37 - 12/21/2023 04:23 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs

- % Done changed from 60 to 50

ISSUE FOUNDED

1.ADD PASS TO NEXT LEVEL FOR APPROVAL ITEM IN BLANK FIELD OF APPROVAL STATUS
2.CHANGE TO ACTIVE TAB WHILE SELECTING OTHER DATAS FROM LIST

#38 - 12/27/2023 10:38 AM - Anil KV
- Assignee changed from Shahil Haris to Aparna Mathew

#39 - 12/27/2023 06:21 PM - Aparna Mathew
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#40 - 12/28/2023 09:46 AM - unnikannan S
TESTING DONE

#41 - 02/10/2024 04:49 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUNDED

1.DONT ALLOW TO CLEAR THE ACT AS CHECK BOXES IN CASE IF THE ACCOUNT WAS ALREADY USED IN ANY DOCUMENT AS A
CUSTOMER
(Discuss With Anil Sir for Changes )

#42 - 02/14/2024 01:31 PM - Junaid M
- Assignee changed from Aparna Mathew to Vivekp V

#43 - 02/14/2024 02:39 PM - Vivekp V
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

ISSUE FIXED
1.DONT ALLOW TO CLEAR THE ACT AS CHECK BOXES IN CASE IF THE ACCOUNT WAS ALREADY USED IN ANY DOCUMENT AS A

CUSTOMER
(Discuss With Anil Sir for Changes )

#44 - 02/15/2024 12:56 PM - unnikannan S
TESTING DONE

#45 - 03/15/2024 09:58 AM - unnikannan S

- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUNDED

1.CANT UPDATE ADDED CONTRACT LIST
2.ERROR IN CONSOLE

#46 - 03/15/2024 02:22 PM - Vivekp V
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

function needed to be added to old databases, new databases already has function

#47 - 05/07/2024 09:32 AM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUNDED

1.Fix Bugs On Service Multi selection

#48 - 05/07/2024 01:31 PM - Vivekp V

- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

ISSUE FIXED

1.Fix Bugs On Service Multi selection

#49 - 05/07/2024 04:18 PM - unnikannan S
TESTING DONE

#50 - 07/26/2024 03:52 PM - Avinash MS
- Status changed from Reopen Bugs Coding Done to New Changes
- % Done changed from 70 to 50

GUI Changes

System Tab -> Bill Submission -> Change Rename Monthly to Monthly/Month (min 1 max 6)-Default 1
System Tab -> Add Blue Star and Title to Bill Submission.
Apply this changes to Customer tab while checking Act As Client Checkbox

#51 - 07/29/2024 02:12 PM - Vivekp V
- Status changed from New Changes to New Changes Coding Done
- % Done changed from 50 to 70

GUI Changes DONE

Up On Checking Act As Client & Act As Supplier

Customer & Supplier Tab -> Bill Submission -> Change Rename Monthly to Monthly/Month (min 1 max 6)-Default 1
Customer & Supplier Tab -> Add Blue Star and Title to Bill Submission.

#52 - 08/07/2024 03:00 PM - Avinash MS
GUI Change

Customer Tab (While checking "Act As Client") -> Change in Bill Submission While Change in Payment Terms (Refer Payment Terms)

#53 - 08/19/2024 10:20 AM - Avinash MS
- Status changed from New Changes Coding Done to New Changes

- % Done changed from 70 to 50

#54 - 08/22/2024 12:38 PM - Arathy PS

- Status changed from New Changes to Reopen Bugs

Validation change

Remove the validation for ID expiry date

#55 - 08/22/2024 02:44 PM - Vivekp V
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

Validation change Done

Remove the validation for ID expiry date

#56 - 09/26/2024 05:02 PM - Augustin Jose
GUI Changes - For Whatsapp phone number

Personal Tab >Phenre
> Split phone Entry box to two entry box.

#57 - 10/11/2024 02:40 PM - Arathy PS
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUND

1. Deleted account still showing in the Ul after deletion
2. Imported accounts cannot be deleted if approved from account approve

#58 - 10/14/2024 04:36 PM - Arathy PS

- Assignee changed from Vivekp V to Greeshma S

#59 - 10/14/2024 04:58 PM - Greeshma S
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#60 - 11/15/2024 12:53 PM - Theja Ponon

- Status changed from Reopen Bugs Coding Done to Reopen Bugs Testing Done
- % Done changed from 70 to 90

#61 - 12/04/2024 03:57 PM - Theja Ponon
- Status changed from Reopen Bugs Testing Done to Reopen Bugs

- % Done changed from 90 to 50

ISSUE FOUND

1)ACCOUNT NOTE AND ATTACHMENT IS NOT SEEN ON ADDING NEW AGENT

#62 - 12/04/2024 07:11 PM - Greeshma S
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#63 - 12/05/2024 06:08 PM - Theja Ponon
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUND

1)CANT ADD NEW ACCOUNT NOTE

#64 - 12/05/2024 08:17 PM - Greeshma S
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 70

#65 - 12/06/2024 10:58 AM - Theja Ponon
- Status changed from Reopen Bugs Coding Done to Reopen Bugs Testing Done
- % Done changed from 70 to 90

#66 - 12/09/2024 03:18 PM - Theja Ponon
- Status changed from Reopen Bugs Testing Done to Reopen Bugs

- % Done changed from 90 to 50

ISSUE FOUND

1)Note given in the account query is not showing in commission agent

#67 - 12/10/2024 06:57 PM - Greeshma S
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 70

#68 - 12/11/2024 10:29 AM - Theja Ponon
- Status changed from Reopen Bugs Coding Done to Reopen Bugs Testing Done
- % Done changed from 70 to 90

#69 - 04/10/2025 12:27 PM - Theja Ponon
- Status changed from Reopen Bugs Testing Done to Reopen Bugs

- % Done changed from 90 to 50

Issue Found

1)Can enter alphabets on account number field

#70 - 04/10/2025 03:51 PM - Greeshma S
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

05/03/2025

8/9



Files

1-CsModel.cs
2-tsModel.ts
4-CsControllerFile.cs
3-CsFile.cs
6-HtmlFile.html
5-TsFile.ts

sql.sql
1.92 KB
5.05 KB
09/28/2022
